CacheServiceMBean (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service

## Interface CacheServiceMBean

- All Known Implementing Classes:
    CacheService

      public interface CacheServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCounterCacheKeysToSave()`
    `int` | `getCounterCacheSavePeriodInSeconds()`
    `int` | `getKeyCacheKeysToSave()`
    `int` | `getKeyCacheSavePeriodInSeconds()`
    `int` | `getRowCacheKeysToSave()`
    `int` | `getRowCacheSavePeriodInSeconds()`
    `void` | `invalidateCounterCache()`
    `void` | `invalidateKeyCache()` invalidate the key cache; for use after invalidating row cache
    `void` | `invalidateRowCache()` invalidate the row cache; for use after bulk loading via BinaryMemtable
    `void` | `saveCaches()` save row and key caches
    `void` | `setCounterCacheCapacityInMB(long capacity)`
    `void` | `setCounterCacheKeysToSave(int cckts)`
    `void` | `setCounterCacheSavePeriodInSeconds(int ccspis)`
    `void` | `setKeyCacheCapacityInMB(long capacity)`
    `void` | `setKeyCacheKeysToSave(int kckts)`
    `void` | `setKeyCacheSavePeriodInSeconds(int kcspis)`
    `void` | `setRowCacheCapacityInMB(long capacity)`
    `void` | `setRowCacheKeysToSave(int rckts)`
    `void` | `setRowCacheSavePeriodInSeconds(int rcspis)`

- - ### Method Detail

    - #### getRowCacheSavePeriodInSeconds

          int getRowCacheSavePeriodInSeconds()

    - #### setRowCacheSavePeriodInSeconds

          void setRowCacheSavePeriodInSeconds(int rcspis)

    - #### getKeyCacheSavePeriodInSeconds

          int getKeyCacheSavePeriodInSeconds()

    - #### setKeyCacheSavePeriodInSeconds

          void setKeyCacheSavePeriodInSeconds(int kcspis)

    - #### getCounterCacheSavePeriodInSeconds

          int getCounterCacheSavePeriodInSeconds()

    - #### setCounterCacheSavePeriodInSeconds

          void setCounterCacheSavePeriodInSeconds(int ccspis)

    - #### getRowCacheKeysToSave

          int getRowCacheKeysToSave()

    - #### setRowCacheKeysToSave

          void setRowCacheKeysToSave(int rckts)

    - #### getKeyCacheKeysToSave

          int getKeyCacheKeysToSave()

    - #### setKeyCacheKeysToSave

          void setKeyCacheKeysToSave(int kckts)

    - #### getCounterCacheKeysToSave

          int getCounterCacheKeysToSave()

    - #### setCounterCacheKeysToSave

          void setCounterCacheKeysToSave(int cckts)

    - #### invalidateKeyCache

          void invalidateKeyCache()

      invalidate the key cache; for use after invalidating row cache

    - #### invalidateRowCache

          void invalidateRowCache()

      invalidate the row cache; for use after bulk loading via BinaryMemtable

    - #### invalidateCounterCache

          void invalidateCounterCache()

    - #### setRowCacheCapacityInMB

          void setRowCacheCapacityInMB(long capacity)

    - #### setKeyCacheCapacityInMB

          void setKeyCacheCapacityInMB(long capacity)

    - #### setCounterCacheCapacityInMB

          void setCounterCacheCapacityInMB(long capacity)

    - #### saveCaches

          void saveCaches()
                   throws java.util.concurrent.ExecutionException,
                          java.lang.InterruptedException

      save row and key caches
      Throws:
        `java.util.concurrent.ExecutionException` - when attempting to retrieve the result of a task that aborted by throwing an exception
        `java.lang.InterruptedException` - when a thread is waiting, sleeping, or otherwise occupied, and the thread is interrupted, either before or during the activity.

Copyright © 2018 The Apache Software Foundation